=== debian/changelog ===
ros-humble-ign-ros2-control (0.7.1-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (backport #175 <https://github.com/ros-controls/gz_ros2_control/issues/175>) (#176 <https://github.com/ros-controls/gz_ros2_control/issues/176>)
  * Fixed install include (#162 <https://github.com/ros-controls/gz_ros2_control/issues/162>)
  * Install include directory since it is exported (#127 <https://github.com/ros-controls/gz_ros2_control/issues/127>) (#161 <https://github.com/ros-controls/gz_ros2_control/issues/161>)
    (cherry picked from commit ab33f76d158e533c21537bc408f636831819e875)
    Co-authored-by: Tim Clephas <mailto:tim.clephas@nobleo.nl>
  * Remove plugin export (ROS 1 syntax) (backport #158 <https://github.com/ros-controls/gz_ros2_control/issues/158>) (#159 <https://github.com/ros-controls/gz_ros2_control/issues/159>)
    * Remove plugin export from ROS 1 (#158 <https://github.com/ros-controls/gz_ros2_control/issues/158>)
    (cherry picked from commit 223086dea282ea3ff2c432414396952b9cfeec88)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-ign-ros2-control (0.5.0-1jammy) jammy; urgency=high

  * Fixed segmentation fault with logger (backport #136 <https://github.com/ros-controls/gz_ros2_control/issues/136>) (#140 <https://github.com/ros-controls/gz_ros2_control/issues/140>)
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-ign-ros2-control (0.4.4-1jammy) jammy; urgency=high

  * Context and Namespace Handling for Multi-Robot Sim (#92 <https://github.com/ros-controls/gz_ros2_control/issues/92>)
  * Various bug fixes (#114 <https://github.com/ros-controls/gz_ros2_control/issues/114>)
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>)
  * Enable loading params from multiple yaml files (#94 <https://github.com/ros-controls/gz_ros2_control/issues/94>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Set right initial velocity (#81 <https://github.com/ros-controls/gz_ros2_control/issues/81>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * activated all hardware by default and improved variable naming (#74 <https://github.com/ros-controls/gz_ros2_control/issues/74>)
  * Implemented perform_command_mode_switch override in GazeboSystem (#76 <https://github.com/ros-controls/gz_ros2_control/issues/76>)
  * Remove warnings (#72 <https://github.com/ros-controls/gz_ros2_control/issues/72>)
  * change component name for ignition (#69 <https://github.com/ros-controls/gz_ros2_control/issues/69>)
  * Added logic for activating hardware interfaces (#68 <https://github.com/ros-controls/gz_ros2_control/issues/68>)
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>) (#102 <https://github.com/ros-controls/gz_ros2_control/issues/102>)
  * Contributors: Alejandro Hernández Cordero, Andy Zelenak, Bence Magyar, Denis Štogl, Lovro, Tianyu Li, sp-sophia-labs

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 27 Mar 2023 22:00:00 -0000

ros-humble-ign-ros2-control (0.4.3-1jammy) jammy; urgency=high

  * Fix example demos in humble branch #118 <https://github.com/ros-controls/gz_ros2_control/issues/118> from iche033/iche033/fix_humble_demos
  * Remove URDF dependency (#56 <https://github.com/ros-controls/gz_ros2_control/issues/56>)
  * Adapt to ROS 2 Humble
  * typo in citadel name (#54 <https://github.com/ros-controls/gz_ros2_control/issues/54>)
  * ros2_control is now having usings under its namespace. (#43 <https://github.com/ros-controls/gz_ros2_control/issues/43>)
  * Fix default ign gazebo version Rolling (#45 <https://github.com/ros-controls/gz_ros2_control/issues/45>)
  * Fix ignition version in package.xml - Rolling (#41 <https://github.com/ros-controls/gz_ros2_control/issues/41>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Guillaume Beuzeboc, Tianyu Li

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 15 Feb 2023 23:00:00 -0000

ros-humble-ign-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Fix default ign gazebo version Galactic (#44 <https://github.com/ignitionrobotics/ign_ros2_control/issues/44>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Thu, 17 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Fix ignition version in package.xml (#40 <https://github.com/ignitionrobotics/ign_ros2_control/issues/40>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 15 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control (0.2.0-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * typo fix. (#25 <https://github.com/ignitionrobotics/ign_ros2_control/issues/25>)
  * Contributors: Alejandro Hernández Cordero, Tomoya Fujita

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-ign-ros2-control (0.1.2-1jammy) jammy; urgency=high


