## ros-humble-ign-ros2-control 0.7.8

=== debian/changelog ===
ros-humble-ign-ros2-control (0.7.8-2bookworm) bookworm; urgency=high

  * Fixed target of ament_export_libraries (#300 <https://github.com/ros-controls/gz_ros2_control/issues/300>)
  * Added parameters robot_param and robot_param_node (#275 <https://github.com/ros-controls/gz_ros2_control/issues/275>)
  * Update precommit config (backport #271 <https://github.com/ros-controls/gz_ros2_control/issues/271>) (#278 <https://github.com/ros-controls/gz_ros2_control/issues/278>)
    * Update precommit config (#271 <https://github.com/ros-controls/gz_ros2_control/issues/271>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 492ed646010fc55a6acc32d07138ddda8824aff5)
    * make linters happy
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.7-2bookworm) bookworm; urgency=high

  * Fix #259 <https://github.com/ros-controls/gz_ros2_control/issues/259> - ParameterAlreadyDeclaredException for parameter position_proportional_gain (backport #261 <https://github.com/ros-controls/gz_ros2_control/issues/261>) (#262 <https://github.com/ros-controls/gz_ros2_control/issues/262>)
    Co-authored-by: Patrick Roncagliolo <mailto:ronca.pat@gmail.com>
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 08 Apr 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.6-2bookworm) bookworm; urgency=high

  * Fix typo (#253 <https://github.com/ros-controls/gz_ros2_control/issues/253>) (#254 <https://github.com/ros-controls/gz_ros2_control/issues/254>)
    (cherry picked from commit a98cb2a8b72827b7c1669987d6a12d3f0b30a41e)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Fix #247 <https://github.com/ros-controls/gz_ros2_control/issues/247> (#248 <https://github.com/ros-controls/gz_ros2_control/issues/248>) (#250 <https://github.com/ros-controls/gz_ros2_control/issues/250>)
    (cherry picked from commit 94745e6f5f051214ac9862051f9a918685f2c6b9)
    Co-authored-by: Graziato Davide <mailto:85335579+Fixit-Davide@users.noreply.github.com>
  * Fix initial_value not working (backport #241 <https://github.com/ros-controls/gz_ros2_control/issues/241>) (#243 <https://github.com/ros-controls/gz_ros2_control/issues/243>)
    * Reset Gazebo with initial joint positions and velocities (#241 <https://github.com/ros-controls/gz_ros2_control/issues/241>)
    (cherry picked from commit c5b0b9049ce75410e75d1828242c1dfd5b19bb80)
    Co-authored-by: Ruddick Lawrence <mailto:679360+mrjogo@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Use portable versio for usleep (backport #237 <https://github.com/ros-controls/gz_ros2_control/issues/237>) (#238 <https://github.com/ros-controls/gz_ros2_control/issues/238>)
    * Use portable versio for usleep (#237 <https://github.com/ros-controls/gz_ros2_control/issues/237>)
    (cherry picked from commit 0bdf13e6986c613c99a595889a587da1db6d7f69)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix crashing due to an invalid parameter in the initial value (backport #233 <https://github.com/ros-controls/gz_ros2_control/issues/233>) (#234 <https://github.com/ros-controls/gz_ros2_control/issues/234>)
    * Fix crashing due to an invalid parameter in the initial value (#233 <https://github.com/ros-controls/gz_ros2_control/issues/233>)
    (cherry picked from commit a3beadb014f62e0808033de2c5ad84e2428c36e9)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Ruddick Lawrence, Stephanie Eng, Graziato Davide, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.5-2bookworm) bookworm; urgency=high

  * Load the URDF to the resource_manager before parsing it to CM (#222 <https://github.com/ros-controls/gz_ros2_control/issues/222>) (#225 <https://github.com/ros-controls/gz_ros2_control/issues/225>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 5a948050563881dba20effec3ccb678e4f375529)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.3-2bookworm) bookworm; urgency=high



 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.2-2bookworm) bookworm; urgency=high

  * Add controller name parameter (#212 <https://github.com/ros-controls/gz_ros2_control/issues/212>)
  * Fix stuck passive joints (#184 <https://github.com/ros-controls/gz_ros2_control/issues/184>) (#206 <https://github.com/ros-controls/gz_ros2_control/issues/206>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    (cherry picked from commit 0a8d4464e15e4f13ea0673311c60a891d6a836ec)
    Co-authored-by: Johannes Huemer <mailto:johannes.huemer@ait.ac.at>
  * Contributors: Jakub Delicat, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.1-2bookworm) bookworm; urgency=high

  * Catch pluginlib exceptions (backport #175 <https://github.com/ros-controls/gz_ros2_control/issues/175>) (#176 <https://github.com/ros-controls/gz_ros2_control/issues/176>)
  * Fixed install include (#162 <https://github.com/ros-controls/gz_ros2_control/issues/162>)

