=== debian/control ===
Source: ros-humble-ign-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo-dev, libignition-plugin-dev, ros-humble-ament-cmake, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ign-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo-dev, libignition-plugin-dev, ros-humble-ament-index-cpp, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Ignition ros2_control package allows to control simulated robots using ros2_control framework.
