## ros-humble-ign-ros2-control 0.7.9

=== debian/changelog ===
ros-humble-ign-ros2-control (0.7.9-2bookworm) bookworm; urgency=high

  * Don't crash if a wrong config was detected (#324 <https://github.com/ros-controls/gz_ros2_control/issues/324>) (#330 <https://github.com/ros-controls/gz_ros2_control/issues/330>)
    (cherry picked from commit ec1b95893fa933cb3e2cc5341bb65dd621645785)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Harden behavior if a joint is not found in the model (backport #325 <https://github.com/ros-controls/gz_ros2_control/issues/325>) (#326 <https://github.com/ros-controls/gz_ros2_control/issues/326>)
    * Don't crash if a joint does not exist
  * Changed to use spin instead of spin_once to enable multithreading with MultiThreadedExecutor (#315 <https://github.com/ros-controls/gz_ros2_control/issues/315>) (#320 <https://github.com/ros-controls/gz_ros2_control/issues/320>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 45035076408e6014cc911e8d4bc169572a25008c)
    Co-authored-by: Takashi Sato <mailto:t.sato17123@gmail.com>
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 01 Jul 2024 16:00:00 -0000
